GuideLab API

Get clinic detail view for a partnership

Retrieve detailed clinic information for a partnership, including clinic contact info, order statistics, and patient count. Lab only - uses the partnership ID as the path parameter.

GET
/partnerships/{id}/detail

Retrieve detailed clinic information for a partnership, including clinic contact info, order statistics, and patient count. Lab only - uses the partnership ID as the path parameter.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Partnership ID

Response Body

application/json

curl -X GET "https://example.com/partnerships/550e8400-e29b-41d4-a716-446655440000/detail"
{  "id": "string",  "clinicId": "string",  "status": "string",  "practiceGroupName": "string",  "notes": "string",  "createdAt": "string",  "clinic": {    "name": "string",    "email": "string",    "phone": "string",    "address": "string",    "addressLine2": "string",    "city": "string",    "postcode": "string",    "country": "string",    "website": "string",    "billingEmail": "string",    "companyNumber": "string",    "taxRegistrationNumber": "string"  },  "stats": {    "totalOrders": 0,    "activeOrders": 0,    "totalPatients": 0  }}
Empty
Empty
Empty
Empty
Empty